ProducerInfo (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ProducerInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ProducerInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.ProducerInfo

All Implemented Interfaces:
  Packet

public class ProducerInfo
extends AbstractPacket

Denotes life cycle infomation for a Producer of messages

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ProducerInfo()`

Method Summary
`boolean` | `equals(Object obj)` Test for equality
`String` | `getClientId()`
`ActiveMQDestination` | `getDestination()`
`int` | `getPacketType()` Return the type of Packet
`String` | `getProducerId()`
`String` | `getSessionId()`
`long` | `getStartTime()`
`int` | `hashCode()`
`boolean` | `isStarted()`
`void` | `setClientId(String newClientId)`
`void` | `setDestination(ActiveMQDestination newDestination)`
`void` | `setProducerId(String producerId)`
`void` | `setSessionId(String sessionId)`
`void` | `setStarted(boolean flag)`
`void` | `setStartTime(long newStartTime)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProducerInfo

    public ProducerInfo()

Method Detail

### equals

    public boolean equals(Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### getProducerId

    public String getProducerId()

  Returns:
    Returns the producerId.

### setProducerId

    public void setProducerId(String producerId)

  Parameters:
    `producerId` - The producerId to set.

### getSessionId

    public String getSessionId()

  Returns:
    Returns the sessionId.

### setSessionId

    public void setSessionId(String sessionId)

  Parameters:
    `sessionId` - The sessionId to set.

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### getClientId

    public String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(String newClientId)

  Parameters:
    `newClientId` - The clientId to set.

### getDestination

    public ActiveMQDestination getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(ActiveMQDestination newDestination)

  Parameters:
    `newDestination` - The destination to set.

### isStarted

    public boolean isStarted()

  Returns:
    Returns the started.

### setStarted

    public void setStarted(boolean flag)

  Parameters:
    `flag` - to indicate if started

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.